Users ID
Manage specific users by their ID. This includes retrieving, updating, and deleting user information based on the user ID.
Delete user
delete
https://{your-bynder-domain}/api/v4/users/{id}
Path Parameters
idstringrequired
The id or username of the user you’d like to delete.
Response
204
Response
204
User deleted
delete/api/v4/users/{id}
Authentication
UnauthenticatedPath Parameters
204
Retrieve specific user
get
https://{your-bynder-domain}/api/v4/users/{id}
Path Parameters
idstringrequired
The id or username of the user you’d like to retrieve.
Response
200 application/json
Response
200 application/json
Successful response
activeboolean
addressstring
cellphoneNumberstring
citystring
companyNamestring
costCenterstring
countrystring
countystring
departmentstring
departmentCodestring
emailstring
employeeNumberstring
firstnamestring
genderstring
groupsarray[object]
Show Child Parameters
idstring
infixstring
isSSOOnlyboolean
jobstring
languagestring
lastLoginstring(date-time)
lastnamestring
legalEntitystring
persistedboolean
phoneNumberstring
postalCodestring
profileIdstring
statestring
termsstring
timeZonestring
usernamestring
get/api/v4/users/{id}
Authentication
UnauthenticatedPath Parameters
200 application/json
Modify user
post
https://{your-bynder-domain}/api/v4/users/{id}
Path Parameters
idstringrequired
The id of the user you’d like to modify.
Body
application/x-www-form-urlencoded
Body
application/x-www-form-urlencoded
activeinteger
Allowed values:1
Default:1
companyNamestring
costCenterstring
departmentstring
emailstring
firstnamestring
groupIdsstring
infixstring
isSSOOnlyboolean
Default:false
jobstring
languagestring
lastnamestring
passwordstring
phoneNumberstring
profileIdstring
termsAcceptedboolean
usernamestring
Response
202 application/json
Response
202 application/json
User modified
idstring
usernamestring
post/api/v4/users/{id}
Authentication
UnauthenticatedPath Parameters
Body
{}
202 application/json
Current User
Retrieve information about the currently authenticated user without needing to know their user ID.